end_queued_request
Prev | Chapter 19. Block Devices | Next

## Name

end_queued_request — end all I/O on a queued request

## Synopsis

`void end_queued_request (` | struct request * | rq,
| int | uptodate`)`;

## Arguments

`rq`

  the request being processed

`uptodate`

  error value or 0/1 uptodate flag

## Description

Ends all I/O on a request, and removes it from the block layer queues. Not suitable for normal IO completion, unless the driver still has the request attached to the block layer.

Prev | Up | Next
blk_complete_request | Home | end_dequeued_request